package com.takensoft.cms.accesCtrl.dao;

import com.takensoft.cms.accesCtrl.vo.AccesCtrlVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 접근 제어 관련 Mapper
 */
@Mapper("accesCtrlDAO")
public interface AccesCtrlDAO {

    /**
     * @author takensoft
     * @since 2024.04.09
     * 접근 제어 등록
     */
    int save(AccesCtrlVO accesCtrlVO);

    /**
     * @author takensoft
     * @since 2024.04.15
     * 접근 제어 수정
     */
    int update(AccesCtrlVO accesCtrlVO);

    /**
     * @author takensoft
     * @since 2024.04.12
     * 접근 제어 조회(관리자 페이지용)
     */
    List<AccesCtrlVO> findAll(Pagination pagination);

    /**
     * @author takensoft
     * @since 2024.04.12
     * 접근제어 목록 갯수(관리자 페이지용)
     */
    int findAllCnt(Pagination pagination);

    /**
     * @author takensoft
     * @since 2024.04.12
     * 접근 제어 조회(관시스템용 - 시큐리티 접근 제어)
     */
    List<AccesCtrlVO> findAllAccesCtrlSecurity(String ip);

    /**
     * @author takensoft
     * @since 2024.04.12
     * 접근 제어 상세 조회
     */
    AccesCtrlVO findByAccesCtrl(int acsCntrlId);

}
