package com.takensoft.cms.author.dao;

import com.takensoft.cms.author.dto.AuthorDTO;
import com.takensoft.cms.author.vo.AuthorVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 권한 정보 관련 Mapper
 */
@Mapper("authorDAO")
public interface AuthorDAO {
    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한코드 중복 검사
     */
    boolean findByCheckAuthorCode(AuthorVO authorVO);

    /**
     * @author takensoft
     * @since 2024.04.05
     * 전체 권한 목록 조회(신규 메뉴 등록 시 권한을 주기 위해 사용)
     */
    List<AuthorVO> findAllSystem();

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 목록 조회
     */
    List<AuthorVO> findAll(Pagination pagination);

    /**
     * @author takensoft
     * @since 2024.04.25
     * 권한 목록 갯수
     */
    int findAllCnt(Pagination pagination);

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 상세 조회
     */
    AuthorVO findByAuthorCode(String authrtCd);

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 등록
     */
    int save(AuthorVO authorVO);

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 수정
     */
    int update(AuthorVO authorVO);
}
