package com.takensoft.cms.author.dto;

import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 권한 등록/수정 관련 DTO
 */
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class AuthorDTO {

    /**
     * 권한 코드
     */
    @NotBlank(message = "권한코드는 필수 입력 값입니다.")
    @Size(min = 5, max = 50)
    private String authrtCd;
    /**
     * 권한명
     */
    @NotBlank(message = "권한명은 필수 입력 값입니다.")
    @Size(min = 4, max = 50)
    private String authrtNm;
    /**
     * 권한 설명
     */
    private String authrtExpln;
    /**
     * 사용여부
     */
    private boolean useYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 수정자
     */
    private String mdfr;
}
