package com.takensoft.cms.bbs.dao;

import com.takensoft.cms.bbs.vo.CmntVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : 방선주
 * @since   : 2024.05.27
 *
 * 게시판 댓글 관련 DAO
 */

@Mapper("cmntDAO")
public interface CmntDAO {
    /**
     * @author  방선주
     * @since   2024.05.27
     * 게시판 댓글 등록
     */
    public int saveCmnt(CmntVO cmntVO) throws Exception;
    /**
     * @author  방선주
     * @since   2024.05.27
     * 게시판 댓글 카운트 조회
     */
    public int getCmntCount(CmntVO cmntVO) throws Exception;
    /**
     * @author  방선주
     * @since   2024.05.27
     * 부모 댓글 조회
     */
    public CmntVO findParentCmnt(int upCmntId) throws Exception;
    /**
     * @author  방선주
     * @since   2024.05.27
     * 게시판 댓글 목록 조회
     */
    public List<CmntVO> findCmntList(String bbsId) throws Exception;
    /**
     * @author  방선주
     * @since   2024.05.27
     * 게시판 댓글 업데이트
     */
    public int updateCmnt(CmntVO cmntVO) throws Exception;
    /**
     * @author  방선주
     * @since   2024.05.27
     * 게시판 삭제
     */
    public int deleteCmnt(CmntVO cmntVO) throws Exception;
}
