package com.takensoft.cms.bbs.service;

import com.takensoft.cms.author.vo.AuthorVO;
import com.takensoft.cms.bbs.vo.BbsMngVO;
import com.takensoft.cms.bbs.vo.BbsRouterVO;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.08
 *
 * 게시판 관리 관련 인터페이스
 */
public interface BbsMngService {
    /**
     * @author  박정하
     * @since   2024.05.08
     * 게시판 아이디 중복 검사
     */
    public boolean bbsMngIdCheck(BbsMngVO bbsMngVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.05.10
     * 게시판 관리 등록
     */
    public HashMap<String, Object> saveBbsMng(BbsMngVO bbsMngVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.05.10
     * 게시판 관리 목록 조회
     */
    public Map<String, Object> findAllBbsMng(HashMap<String, String> params) throws Exception;

    /**
     * @author  박정하
     * @since   2024.05.16
     * 게시판 관리 목록 조회 (메뉴 관리용)
     */
    public List<BbsMngVO> findAllByMenuMng() throws Exception;

    /**
     * @author 하석형
     * @since  2024.05.08
     *
     * 게시판 관리 상세 조회
     */
    public BbsMngVO findByBbsMngId(String bbsMngId) throws Exception;

    /**
     * @author 하석형
     * @since  2024.05.09
     *
     * 게시판 관리 수정
     */
    public int updateBbsMng(BbsMngVO bbsMngVO) throws Exception;

    /**
     * @author 하석형
     * @since  2024.05.09
     *
     * 게시판 관리 삭제
     */
    public int deleteBbsMng(BbsMngVO bbsMngVO) throws Exception;



    /** ********************************* 게시판 라우터 (시작) ********************************* */
    /**
     * @author 하석형
     * @since  2024.05.13
     *
     * 게시판 라우터 등록
     */
    public int saveBbsRouter(BbsRouterVO bbsRouterVO) throws Exception;

    /**
     * @author 하석형
     * @since  2024.05.13
     *
     * 게시판 라우터 수정
     */
    public int updateBbsRouter(BbsRouterVO bbsRouterVO) throws Exception;

    /**
     * @author 하석형
     * @since  2024.05.13
     *
     * 게시판 라우터 삭제
     */
    public int deleteBbsRouter(String bbsMngId) throws Exception;

    /** ********************************* 게시판 라우터 (종료) ********************************* */
}