package com.takensoft.cms.bbs.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.05.08
 *
 * 게시판 관리 관련 VO
 */
@Data
public class BbsMngVO {
    /**
     * 게시판관리아이디
     */
    private String bbsMngId;
    /**
     * 게시판유형아이디
     */
    private String bbsTypeId;
    /**
     * 게시판유형
     */
    private BbsTypeMngVO bbsType; // 사용 안함
    /**
     * 게시판명
     */
    private String bbsNm;
    /**
     * 게시판상단정보
     */
    private String bbsUpInfo;
    /**
     * 게시판설명
     */
    private String bbsExpln;
    /**
     * 목록수
     */
    private int artclCnt;
    /**
     * 첨부파일 사용여부
     * Y : 사용, N : 미사용
     */
    private String atchFileUseYn;
    /**
     * 공지글 사용여부
     * Y : 사용, N : 미사용
     */
    private String ntcUseYn;
    /**
     * 파일확장자
     */
    private List<String> fileExtnNmList;
    /**
     * 파일확장자
     */
    private String fileExtnNm;
    /**
     * 파일크기제한
     */
    private int fileSzLmt;
    /**
     * 비밀글 사용여부
     * Y : 사용, N : 미사용
     */
    private String prvtPstUseYn;
    /**
     * 이전글/다음글 사용여부
     * Y : 사용, N : 미사용
     */
    private String bfrAftrPstUseYn;
    /**
     * 댓글 사용여부
     * Y : 사용, N : 미사용
     */
    private String cmntUseYn;
    /**
     * 사용여부
     * Y : 사용, N : 미사용
     */
    private String useYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
    /**
     * 페이지 유형
     */
    private String cd;
    /**
     * 게시물 수
     */
    private int bbsCnCnt;

    public BbsMngVO() {
        this.fileExtnNmList = new ArrayList<>();
    }
}