package com.takensoft.cms.cntnStats.dto;

import com.takensoft.common.excel.annotation.ExcelColumnName;
import com.takensoft.common.excel.annotation.ExcelFileName;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import javax.persistence.*;

@Entity
@Getter
@Setter
@NoArgsConstructor
@ExcelFileName(fileName="게시판 접속 통계")
public class CntnStatsExcelDTO {
    @Id
    @Column
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ExcelColumnName(headerName = "구분")
    private String date;

    @Column
    @ExcelColumnName(headerName = "관리자")
    private int admin;

    @Column
    @ExcelColumnName(headerName = "사용자")
    private int user;

    @Column
    @ExcelColumnName(headerName = "비로그인 사용자")
    private int none;

    @Builder
    public CntnStatsExcelDTO(String date, int admin, int user, int none) {
        this.date = date;
        this.admin = admin;
        this.user = user;
        this.none = none;
    }
}