package com.takensoft.cms.codeManage.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.09
 *
 * 공통코드 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class CodeManageVO {
    /**
     * 코드
     */
    private String cd;
    /**
     * 변경전 코드
     */
    private String originCd;
    /**
     * 상위코드
     */
    private String upCd;
    /**
     * 상위코드명
     */
    private String upCdNm;
    /**
     * 코드명
     */
    private String cdNm;
    /**
     * 코드값
     */
    private String cdVl;
    /**
     * 코드설명
     */
    private String cdExpln;
    /**
     * 코드깊이(레벨)
     */
    private int cdGrd;
    /**
     * 코드순서
     */
    private int cdSn;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 시스템 제공 여부
     */
    private String sysPvsnYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
    /**
     * 하위 코드 목록
     */
    private List<CodeManageVO> childCdList = new ArrayList<CodeManageVO>();
}
