package com.takensoft.cms.main.dao;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.29
 *
 * 메인 관련 Mapper
 */
@Mapper("mainDAO")
public interface MainDAO {
    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 관리자 메인페이지 : 신규회원 가입자 수
     */
    public int selectCntnNewCnt() throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 관리자 메인페이지 : 오늘 방문자 수
     */
    public int selectCntnDayCnt() throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 관리자 메인페이지 : 이번달 방문자 수
     */
    public int selectCntnMmCnt() throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 관리자 메인페이지 : 총 방문자 수
     */
    public int selectCntnTotalCnt() throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 관리자 메인페이지 : 방문자 접속 통계
     */
    public List<HashMap<String, Object>> findByMonthCntnStats() throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 관리자 메인페이지 : 기업상담신청 알림
     */
    public List<HashMap<String, Object>> findAplyToasts() throws Exception;
}