package com.takensoft.cms.mber.dto;


import lombok.*;

import javax.validation.constraints.NotBlank;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 비밀 번호 변경
 */
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class PasswordDTO {
    /**
     * 회원 아이디
     */
    private String mbrId;

    /**
     * 비밀번호[현재 비밀번호]
     */
    @NotBlank(message = "비밀번호는 필수 입력 값입니다.")
    private String pswd;

    /**
     * 비밀번호[변경될 비밀번호]
     */
    @NotBlank(message = "변경할 비밀번호는 필수 입력 값입니다.")
    private String newPswd;
}
