package com.takensoft.cms.mber.service;

import com.takensoft.cms.mber.dto.AdmMbrDTO;
import com.takensoft.cms.mber.dto.JoinDTO;
import com.takensoft.cms.mber.vo.MberVO;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;

/**
 * @author  : 박정하
 * @since   : 2024.06.21
 *
 * 회원정보 관련 인터페이스
 */
public interface AdmMbrService {
    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 목록 조회
     */
    public HashMap<String, Object> mbrList(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 상세 조회
     */
    public AdmMbrDTO mbrDetail(String mbrId) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 수정
     */
    public int updateMbr(AdmMbrDTO admMbrDTO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 등록
     */
    public HashMap<String, Object> mbrInsert(HttpServletRequest req, JoinDTO joinDTO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.07.03
     *
     * 아이디 찾기 (로그인 아이디)
     */
    public String lgnIdSearch(MberVO mbrVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.07.03
     *
     * 아이디 찾기 (멤버 아이디)
     */
    public int mbrIdSearch(String resetPswd, AdmMbrDTO admMbrDTO) throws Exception;
}