package com.takensoft.cms.menu.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.08
 *
 * 메뉴 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class MenuVO {
    /**
     * 메뉴 아이디
     */
    private String menuId;
    /**
     * 상위 메뉴 아이디
     */
    private String upMenuId;
    /**
     * 상위 메뉴명
     */
    private String upMenuNm;
    /**
     * 메뉴명
     */
    private String menuNm;
    /**
     * 메뉴 설명
     */
    private String menuExpln;
    /**
     * 메뉴 깊이(레벨)
     */
    private int menuGrd;
    /**
     * 메뉴 순서
     */
    private int menuSn;
    /**
     * 메뉴 타입
     * 공통코드 : 게시판, 콘텐츠, 링크
     */
    private String menuType;
    /**
     * 메뉴 타입 항목
     * 게시판 유형 아이디 / 콘텐츠 유형 아이디
     */
    private String menuTypeCtgry;
    /**
     * 링크 주소
     */
    private String linkUrl;
    /**
     * 링크 유형
     * 0: 현재창, 1: 새창
     */
    private String linkType;
    /**
     * 만족도조사 사용여부
     * N: 미사용, Y: 사용
     */
    private String dgstfnExmnUseYn;
    /**
     * 메뉴 노출여부
     * N: 미노출, Y: 노출
     */
    private String menuExpsrYn;
    /**
     * 메뉴 사용자
     * A: 관리자, U: 사용자
     */
    private String menuUser;
    /**
     * 사용여부
     * N: 미사용, Y: 사용
     */
    private String useYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록자명
     */
    private String rgtrNm;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정자명
     */
    private String mdfrNm;
    /**
     * 수정일
     */
    private String mdfcnDt;
    /**
     * 시스템제공여부
     * 0 : 시스템 등록, 1 : 사용자 등록
     */
    private String sysPvsnYn;
    /**
     * 하위 메뉴 목록
     */
    private List<MenuVO> childMenuList = new ArrayList<MenuVO>();
}
