package com.takensoft.cms.search.dao;

import com.takensoft.cms.search.vo.SearchContentVO;
import com.takensoft.cms.search.vo.SearchVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 하석형
 * @since   : 2024.06.12
 *
 * 통합 검색 관련 Mapper
 */
@Mapper("searchDAO")
public interface SearchDAO {
    /**
     * @author  하석형
     * @since   2024.06.12
     * 게시판 검색 목록 조회 개수
     */
    public int findAllCountByBbs(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.12
     * 게시판 검색 목록 조회
     */
    public List<SearchContentVO> findAllByBbs(SearchVO searchVO) throws Exception;




    /** ********************************* 컨텐츠 검색 - 기업 정보 (시작) ********************************* */
    /**
     * @author  하석형
     * @since   2024.06.14
     * 기업 정보 검색 목록 조회 개수
     */
    public int findAllCountByEntInfo(SearchVO searchVO) throws Exception;
    
    /**
     * @author  하석형
     * @since   2024.06.14
     * 기업 정보 검색 목록 조회
     */
    public List<HashMap<String, Object>> findAllByEntInfo(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.14
     * 기업 상담 신청 검색 목록 조회 개수
     */
    public int findAllCountByEntDscsnAply(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.14
     * 기업 상담 신청 검색 목록 조회
     */
    public List<HashMap<String, Object>> findAllByEntDscsnAply(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.14
     * 투자 상담 검색 목록 조회 개수
     */
    public int findAllCountByIvstDscsn(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.14
     * 투자 상담 검색 목록 조회
     */
    public List<HashMap<String, Object>> findAllByIvstDscsn(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.14
     * 검토 사항 검색 목록 조회 개수
     */
    public int findAllCountByRvwMttr(SearchVO searchVO) throws Exception;

    /**
     * @author  하석형
     * @since   2024.06.14
     * 검토 사항 검색 목록 조회
     */
    public List<HashMap<String, Object>> findAllByRvwMttr(SearchVO searchVO) throws Exception;
    /** ********************************* 컨텐츠 검색 - 기업 정보 (종료) ********************************* */
}
