package com.takensoft.common.file.dao;

import com.takensoft.common.file.vo.FileVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 파일 관련 Mapper
 */
@Mapper("fileDAO")
public interface FileDAO {
    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 파일 등록
     */
    public int fileInsert(FileVO fileVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 파일 목록 조회
     */
    public List<HashMap<String, Object>> fileSelectList(String fileMngId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 파일 삭제
     */
    public int fileDelete(HashMap<String, Object> params) throws Exception;

    /**
     * @author 방선주
     * @since 2024.05.21
     *
     * 파일 단일 조회
     */
    public FileVO fileSelectOne(int fileId) throws Exception;
}