package com.takensoft.common.file.service;

import com.takensoft.common.file.vo.FileVO;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 파일 관련 인터페이스
 */
public interface FileService {
    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 파일 등록
     */
    public int fileInsert(String fileMngId, List<MultipartFile> multipartFileList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 파일 목록 조회
     */
    public List<HashMap<String, Object>> fileSelectList(String fileMngId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 파일 삭제
     */
    public int fileDelete(List<HashMap<String, Object>> fileList) throws Exception;
    /**
     * @author 방선주
     * @since 2024.05.21
     *
     * 파일 단일 조회
     */
    public FileVO fileSelectOne(int fileId) throws Exception;

    public String editorUploadImg(MultipartFile file) throws Exception;
}