package com.takensoft.common.idgen.context;

import com.takensoft.common.idgen.service.IdgenService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ContextIdgen {

    // 기업정보
    @Bean(name = "entInfoIdgn")
    public IdgenService entInfo() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("ENT_INFO_");
        idgenServiceImpl.setTblNm("ENT_INFO_ID");
        return idgenServiceImpl;
    }

    // 투자상담
    @Bean(name = "ivstDscsnIdgn")
    public IdgenService ivstDscsn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("IVST_DSCSN_");
        idgenServiceImpl.setTblNm("IVST_DSCSN_ID");
        return idgenServiceImpl;
    }

    // 검토사항
    @Bean(name = "rvwMttrIdgn")
    public IdgenService rvwMttr() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("RVW_MTTR_");
        idgenServiceImpl.setTblNm("RVW_MTTR_ID");
        return idgenServiceImpl;
    }

    // 상담신청
    @Bean(name = "entDscsnAplyIdgn")
    public IdgenService entDscsnAply() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("ENT_DSCSN_APLY_");
        idgenServiceImpl.setTblNm("ENT_DSCSN_APLY_ID");
        return idgenServiceImpl;
    }

    // 파일매니저
    @Bean(name = "fileMngIdgn")
    public IdgenService fileMng() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("FILE_MNG_");
        idgenServiceImpl.setTblNm("FILE_MNG_ID");
        return idgenServiceImpl;
    }

    // 회원정보
    @Bean(name = "mberIdgn")
    public IdgenService mber() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("MBR_");
        idgenServiceImpl.setTblNm("MBR_ID");
        return idgenServiceImpl;
    }

    // 메뉴정보
    @Bean(name = "menuIdgn")
    public IdgenService menu() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("MENU_");
        idgenServiceImpl.setTblNm("MENU_ID");
        return idgenServiceImpl;
    }

    // 메뉴별 만족도 정보
    @Bean(name = "menuStsfdgIdgn")
    public IdgenService menuStsfdg() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("MENU_DGSTFN_");
        idgenServiceImpl.setTblNm("MENU_DGSTFN_ID");
        return idgenServiceImpl;
    }

    // 콘텐츠 유형 관리
    @Bean(name = "contsTypeIdgn")
    public IdgenService contsTypeIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("CONTS_");
        idgenServiceImpl.setTblNm("CONTS_ID");
        return idgenServiceImpl;
    }

    // 부서정보
    @Bean(name = "deptIdgn")
    public IdgenService deptIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("DEPT_");
        idgenServiceImpl.setTblNm("DEPT_ID");
        return idgenServiceImpl;
    }

    // 게시판 유형 관리
    @Bean(name = "bbsTypeIdgn")
    public IdgenService bbsTypeIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("BBS_TYPE_");
        idgenServiceImpl.setTblNm("BBS_TYPE_ID");
        return idgenServiceImpl;
    }

    // 게시판 관리
    @Bean(name = "bbsMngIdgn")
    public IdgenService bbsMngIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("BBS_MNG_");
        idgenServiceImpl.setTblNm("BBS_MNG_ID");
        return idgenServiceImpl;
    }

    // 게시판 관리
    @Bean(name = "bbsRouterIdgn")
    public IdgenService bbsRouterIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("BBS_ROUTER_");
        idgenServiceImpl.setTblNm("BBS_ROUTER_ID");
        return idgenServiceImpl;
    }

    // 게시판 내용
    @Bean(name = "bbsIdgn")
    public IdgenService bbsIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("BBS_");
        idgenServiceImpl.setTblNm("BBS_ID");
        return idgenServiceImpl;
    }

    // 댓글
    @Bean(name = "cmntIdgn")
    public IdgenService cmntIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("CMNT_");
        idgenServiceImpl.setTblNm("CMNT_ID");
        return idgenServiceImpl;
    }

    // 금칙어
    @Bean(name = "cntrlNmIdgn")
    public IdgenService cntrlNmIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("CNTRL_NM_");
        idgenServiceImpl.setTblNm("CNTRL_NM_ID");
        return idgenServiceImpl;
    }

    // 팝업 관리
    @Bean(name = "popupIdgn")
    public IdgenService popupIdgn() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("POPUP_MNG_");
        idgenServiceImpl.setTblNm("POPUP_MNG_ID");
        return idgenServiceImpl;
    }
}