package com.takensoft.portal.entDscsnAply.dao;

import com.takensoft.common.Pagination;
import com.takensoft.portal.entDscsnAply.vo.EntDscsnAplyVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.04.02
 *
 * 기업상담신청 관련 Mapper
 */
@Mapper("entDscsnAplyDAO")
public interface EntDscsnAplyDAO {
    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 등록
     */
    public int entDscsnAplyInsert(EntDscsnAplyVO entDscsnAplyVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 목록 조회
     */
    public List<EntDscsnAplyVO> entDscsnAplyList(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 목록 총 개수 조회
     */
    public int entDscsnAplyListCount(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 상세 조회
     */
    public EntDscsnAplyVO entDscsnAplyDetail(String entDscsnAplyId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 수정
     */
    public int entDscsnAplyUpdate(EntDscsnAplyVO entDscsnAplyVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.04
     *
     * 기업상담신청 1시간 이내 동일 아이피 등록 개수
     */
    public HashMap<String, Object> entDscsnAplyCountByOneHourWriteSameIp(String params) throws Exception;
}