package com.takensoft.portal.entDscsnAply.service;

import com.takensoft.common.Pagination;
import com.takensoft.portal.entDscsnAply.vo.EntDscsnAplyVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.04.02
 *
 * 기업상담신청 관련 인터페이스
 */
public interface EntDscsnAplyService {
    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 등록
     */
    public HashMap<String, Object> entDscsnAplyInsert(HttpServletRequest req, EntDscsnAplyVO entDscsnAplyVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 목록 조회
     */
    public Map<String, Object> entDscsnAplyList(HttpServletRequest request, Map<String, String> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 상세 조회
     */
    public EntDscsnAplyVO entDscsnAplyDetail(EntDscsnAplyVO entDscsnAplyVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.02
     *
     * 기업상담신청 수정
     */
    public int entDscsnAplyUpdate(EntDscsnAplyVO entDscsnAplyVO) throws Exception;
}