package com.takensoft.portal.entInfo.dto;

import com.takensoft.common.excel.annotation.ExcelColumnName;
import com.takensoft.common.excel.annotation.ExcelFileName;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.18
 *
 * 주요사업장 엑셀 다운로드 관련 DTO
 */
@Entity
@Getter
@Setter
@NoArgsConstructor
@ExcelFileName(fileName="주요사업장")
public class BplcExcelDTO {
    @Id
    @Column
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ExcelColumnName(headerName = "사업장명")
    private String bplcNm;

    @Column
    @ExcelColumnName(headerName = "주생산품")
    private String mainPrdt;

    @Column
    @ExcelColumnName(headerName = "주소")
    private String bplcAddr;

    @Column
    @ExcelColumnName(headerName = "대지면적")
    private String bplcSiar;

    @Column
    @ExcelColumnName(headerName = "공장면적")
    private String fctryArea;

    @Column
    @ExcelColumnName(headerName = "종업원수")
    private String wrkrCnt;

    @Builder
    public BplcExcelDTO(String bplcNm, String mainPrdt, String bplcAddr, String bplcSiar, String fctryArea, String wrkrCnt) {
        this.bplcNm = bplcNm;
        this.mainPrdt = mainPrdt;
        this.bplcAddr = bplcAddr;
        this.bplcSiar = bplcSiar;
        this.fctryArea = fctryArea;
        this.wrkrCnt = wrkrCnt;
    }
}