package com.takensoft.portal.entInfo.service;

import com.takensoft.portal.entInfo.dto.EntInfoExcelDTO;
import com.takensoft.portal.entInfo.vo.EntInfoVO;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.20
 *
 * 기업정보 관련 인터페이스
 */
public interface EntInfoService {
    /**
     * @author 박정하
     * @since 2024.03.20
     *
     * 기업정보 등록
     */
    public HashMap<String, Object> entInfoInsert(EntInfoVO entInfoVO, List<MultipartFile> insertFileList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 사업자등록번호 중복 검사
     */
    public int selectCntByCheckBrno(String brno) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 기업정보 목록 조회
     */
    public Map<String, Object> entInfoSelectList(Map<String, String> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 기업정보 상세 조회
     */
    public HashMap<String, Object> entInfoDetail(EntInfoVO entInfoVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.22
     *
     * 기업정보 수정
     */
    public int entInfoUpdate(EntInfoVO entInfoVO, List<MultipartFile> insertFileList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.22
     *
     * 기업정보 삭제
     */
    public int entInfoDelete(EntInfoVO entInfoVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.26
     *
     * 기업정보 목록 조회 (엑셀 다운로드 용)
     */
    public List<EntInfoExcelDTO> excelDownloadAll(HashMap<String, String> params) throws Exception;
}