package com.takensoft.portal.ivstDscsn.service;

import com.takensoft.portal.ivstDscsn.vo.IvstDscsnVO;
import com.takensoft.portal.rvwMttr.vo.RvwMttrVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 투자상담 관련 인터페이스
 */
public interface IvstDscsnService {
    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 등록
     */
    public HashMap<String, Object> ivstDscsnInsert(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 목록 조회
     */
    public Map<String, Object> ivstDscsnList(Map<String, String> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 상세 조회
     */
    public IvstDscsnVO ivstDscsnDetail(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 투자상담 수정
     */
    public int ivstDscsnUpdate(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 투자상담 삭제
     */
    public int ivstDscsnDelete(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.28
     *
     * 투자상담 최근 1건 조회
     */
    public IvstDscsnVO ivstDscsnByNewOne(String entId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.10
     *
     * 투자상담 삭제 (기업정보 삭제용)
     */
    public int ivstDscsnDeleteByEntId(String entId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.12
     *
     * 투자상담 목록 조회 (기업정보 삭제용)
     */
    public List<IvstDscsnVO> ivstDscsnListByIvstDscsnId(String entId) throws Exception;
}