package com.takensoft.portal.main.web;

import com.takensoft.common.util.ResponseData;
import com.takensoft.portal.main.service.GovernmentMainService;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.nio.charset.Charset;
import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.29
 *
 * 메인 관련 컨트롤러
 */
@RestController
@RequiredArgsConstructor
@RequestMapping(value = "/government/main")
public class GovernmentMainController {
    private final GovernmentMainService governmentMainService;

    /**
     * @author 박정하
     * @since 2024.05.29
     * @param
     * @return
     * @throws Exception
     *
     * 공무원 메인페이지 통계정보 조회 [ 분류별 통계, 상담신청 통계, 검토사항 통계, 공지사항 최신글, 기업정보 최신글 ]
     */
    @PostMapping("/governmentMainProc.json")
    public ResponseEntity<?> governmentMainProc(@RequestBody HashMap<String, String> params) throws Exception {
        // 관리자 메인페이지 통계정보 조회
        Map<String, Object> result = governmentMainService.selectGovernmentMain(params);

        // 응답 처리
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(new MediaType("application", "json", Charset.forName("UTF-8")));
        ResponseData responseData = new ResponseData();
        responseData.setStatus(HttpStatus.OK);
        responseData.setMessage("정상적으로 조회가 처리되었습니다.");
        responseData.setData(result);
        return new ResponseEntity<>(responseData, headers, HttpStatus.OK);
    }
}