package com.takensoft.portal.rvwMttr.dto;

import com.takensoft.cms.codeManage.vo.CodeManageVO;
import com.takensoft.common.excel.annotation.ExcelColumnName;
import com.takensoft.common.excel.annotation.ExcelFileName;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.18
 *
 * 검토사항 엑셀 다운로드 관련 DTO
 */
@Entity
@Getter
@Setter
@NoArgsConstructor
@ExcelFileName(fileName="검토사항")
public class RvwMttrExcelDTO {
    @Id
    @Column
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ExcelColumnName(headerName = "기업명")
    private String entNm;

    @Column
    @ExcelColumnName(headerName = "투자상담명")
    private String ttl;

    @Column
    @ExcelColumnName(headerName = "유형")
    private String type;

    @Column
    @ExcelColumnName(headerName = "접수자")
    private String clrNm;

    @Column
    @ExcelColumnName(headerName = "접수일")
    private String rcptDt;

    @Column
    @ExcelColumnName(headerName = "접수내용")
    private String rcptCn;

    @Builder
    public RvwMttrExcelDTO(String entNm, String ttl, String type, String clrNm, String rcptDt, String rcptCn) {
        this.entNm = entNm;
        this.ttl = ttl;
        this.type = type;
        this.clrNm = clrNm;
        this.rcptDt = rcptDt;
        this.rcptCn = rcptCn;
    }
}