package com.takensoft.portal.rvwMttr.dto;

import com.takensoft.common.excel.annotation.ExcelColumnName;
import com.takensoft.common.excel.annotation.ExcelFileName;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.18
 *
 * 검토사항진행 엑셀 다운로드 관련 DTO
 */
@Entity
@Getter
@Setter
@NoArgsConstructor
@ExcelFileName(fileName="검토사항진행")
public class RvwMttrPrgrsExcelDTO {
    @Id
    @Column
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ExcelColumnName(headerName = "담당자")
    private String picNm;

    @Column
    @ExcelColumnName(headerName = "진행단계")
    private String prgrsCrs;

    @Column
    @ExcelColumnName(headerName = "진행날짜")
    private String prgrsDt;

    @Column
    @ExcelColumnName(headerName = "지원방안")
    private String sprtMthd;

    @Builder
    public RvwMttrPrgrsExcelDTO(String picNm, String prgrsCrs, String prgrsDt, String sprtMthd) {
        this.picNm = picNm;
        this.prgrsCrs = prgrsCrs;
        this.prgrsDt = prgrsDt;
        this.sprtMthd = sprtMthd;
    }
}