package com.takensoft.portal.rvwMttr.service;

import com.takensoft.portal.ivstDscsn.vo.IvstDscsnVO;
import com.takensoft.portal.rvwMttr.vo.RvwMttrVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.20
 *
 * 검토사항 관련 인터페이스
 */
public interface RvwMttrService {
    /**
     * @author 박정하
     * @since 2024.03.29
     *
     * 검토사항 등록
     */
    public HashMap<String, Object> rvwMttrInsert(RvwMttrVO rvwMttrVO, List<MultipartFile> insertFileList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.29
     *
     * 검토사항 목록 조회
     */
    public Map<String, Object> rvwMttrSelectList(Map<String, String> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.04
     *
     * 검토사항 상세 조회
     */
    public Map<String, Object> rvwMttrDetail(RvwMttrVO rvwMttrVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.01
     *
     * 검토사항 수정
     */
    public int rvwMttrUpdate(RvwMttrVO rvwMttrVO, List<MultipartFile> insertFileList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.01
     *
     * 검토사항 삭제
     */
    public int rvwMttrDelete(RvwMttrVO rvwMttrVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.12
     *
     * 검토사항 삭제 (검토사항 삭제용)
     */
    public int rvwMttrDeleteByIvstDscsnId(String ivstDscsnId) throws Exception;
}