package com.takensoft.portal.rvwMttr.vo;

import lombok.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.29
 *
 * 검토사항 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class RvwMttrVO {
    private String RvwMttrId;   // 검토사항 아이디
    private String ivstDscsnId; // 투자상담 아이디
    private String type;        // 유형
    private String clr;         // 접수자
    private String rcptDt;      // 접수일
    private String rcptCn;      // 접수내용
    private String useYn;       // 사용여부
    private String rgtr;        // 등록자
    private String regDt;       // 등록일
    private String mdfr;        // 수정자
    private String mdfcnDt;     // 수정일

    // 파일매니저아이디
    private String fileMngId;
    // 첨부파일 목록
    List<HashMap<String, Object>> fileList = new ArrayList<>();
    // 첨부파일 삭제 목록
    List<HashMap<String, Object>> deleteFileList = new ArrayList<>();

    // 기업아이디
    private String entId;
    // 기업명
    private String entNm;
    // 투자상담명
    private String ttl;
    // 접수자명
    private String clrNm;
    // 현재진행단계
    private String nowPrgrsCrs;
    // 검토사항진행 목록
    private List<RvwMttrPrgrsVO> prgrsList = new ArrayList<>();
    // 검토사항진행 삭제 목록
    private List<RvwMttrPrgrsVO> deleteList = new ArrayList<>();
    // 투자상담 주요내용
    private String mainCn;
}