package com.takensoft.ums.service.Impl;

import com.takensoft.cms.mber.dto.AdmMbrDTO;
import com.takensoft.cms.mber.service.AdmMbrService;
import com.takensoft.cms.mber.vo.MberVO;
import com.takensoft.ums.dao.UmsDAO;
import com.takensoft.ums.service.UmsService;
import com.takensoft.ums.vo.UmsVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author  : 방선주
 * @since   : 2024.06.25
 *
 * UmsServiceImpl - 문자 메시지 전송을 위한 서비스 구현체
 */

@Service("umsService")
@RequiredArgsConstructor
public class UmsServiceImpl extends EgovAbstractServiceImpl implements UmsService {

    private final UmsDAO umsDAO;
    private final AdmMbrService admMbrService;

    @Override
    @Transactional
    public Map<String, Object> save() throws Exception {
        Map<String, Object> result = new HashMap<>();

        // 슈퍼관리자 정보 찾아 가져오기
        String mbrId = "MBR_000000000000001";
        AdmMbrDTO admMbrDTO = admMbrService.mbrDetail(mbrId);
        UmsVO umsVO = new UmsVO();
        umsVO.setUserId("mono_customer"); // 계정 전달 필요
        umsVO.setScheduleType("0"); // 즉시 전달 1: 예약
        umsVO.setTitle("온라인 상담 신규 접수"); // 제목 (null 가능)
        umsVO.setMsgContent("신규 온라인 상담 신청 건이 등록 되었습니다. "); // 내용
        umsVO.setCallingNum("054-639-6161"); // 회신번호
        umsVO.setPhoneNum(admMbrDTO.getMblTelno()); // 슈퍼 관리자 전화번호 가져오기

        result.put("status", umsDAO.save(umsVO));
        return result;
    }

    @Override
    public Map<String, Object> findAll() throws Exception {
        Map<String, Object> result = new HashMap<>();
        List<UmsVO> list = umsDAO.findAll();
        result.put("list", list);
        return result;
    }
}
